package com.zehong.system.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.zehong.system.mapper.TLpgAirChargeFilesMapper;
import com.zehong.system.domain.TLpgAirChargeFiles;
import com.zehong.system.service.ITLpgAirChargeFilesService;

/**
 * 液化石油气-充装记录Service业务层处理
 * 
 * @author zehong
 * @date 2024-07-09
 */
@Service
public class TLpgAirChargeFilesServiceImpl implements ITLpgAirChargeFilesService 
{
    @Autowired
    private TLpgAirChargeFilesMapper tLpgAirChargeFilesMapper;

    /**
     * 查询液化石油气-充装记录
     * 
     * @param fGasAirChargeId 液化石油气-充装记录ID
     * @return 液化石油气-充装记录
     */
    @Override
    public TLpgAirChargeFiles selectTLpgAirChargeFilesById(Long fGasAirChargeId)
    {
        return tLpgAirChargeFilesMapper.selectTLpgAirChargeFilesById(fGasAirChargeId);
    }

    @Override
    public Integer selectTLpgAirChargeFilesTotal()
    {
        return tLpgAirChargeFilesMapper.selectTLpgAirChargeFilesTotal();
    }


    /**
     * 查询液化石油气-充装记录列表
     * 
     * @param tLpgAirChargeFiles 液化石油气-充装记录
     * @return 液化石油气-充装记录
     */
    @Override
    public List<TLpgAirChargeFiles> selectTLpgAirChargeFilesList(TLpgAirChargeFiles tLpgAirChargeFiles)
    {
        return tLpgAirChargeFilesMapper.selectTLpgAirChargeFilesList(tLpgAirChargeFiles);
    }

    /**
     * 新增液化石油气-充装记录
     * 
     * @param tLpgAirChargeFiles 液化石油气-充装记录
     * @return 结果
     */
    @Override
    public int insertTLpgAirChargeFiles(TLpgAirChargeFiles tLpgAirChargeFiles)
    {
        return tLpgAirChargeFilesMapper.insertTLpgAirChargeFiles(tLpgAirChargeFiles);
    }

    /**
     * 修改液化石油气-充装记录
     * 
     * @param tLpgAirChargeFiles 液化石油气-充装记录
     * @return 结果
     */
    @Override
    public int updateTLpgAirChargeFiles(TLpgAirChargeFiles tLpgAirChargeFiles)
    {
        return tLpgAirChargeFilesMapper.updateTLpgAirChargeFiles(tLpgAirChargeFiles);
    }

    /**
     * 批量删除液化石油气-充装记录
     * 
     * @param fGasAirChargeIds 需要删除的液化石油气-充装记录ID
     * @return 结果
     */
    @Override
    public int deleteTLpgAirChargeFilesByIds(Long[] fGasAirChargeIds)
    {
        return tLpgAirChargeFilesMapper.deleteTLpgAirChargeFilesByIds(fGasAirChargeIds);
    }

    /**
     * 删除液化石油气-充装记录信息
     * 
     * @param fGasAirChargeId 液化石油气-充装记录ID
     * @return 结果
     */
    @Override
    public int deleteTLpgAirChargeFilesById(Long fGasAirChargeId)
    {
        return tLpgAirChargeFilesMapper.deleteTLpgAirChargeFilesById(fGasAirChargeId);
    }
}
